.\" dpkg manual page - deb-origin(5)
.\"
.\" Copyright © 2011 Matt Kraai <kraai@ftbfs.org>
.\" Copyright © 2011 Guillem Jover <guillem@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-origin 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
deb\-origin \- Fichiers d'informations propre au distributeur
.SH SYNOPSIS
\fB%PKGCONFDIR%/origins/\fP\fIfichier\fP
.SH DESCRIPTION
Les fichiers de \fB%PKGCONFDIR%/origins\fP peuvent fournir des informations sur
les différents distributeurs qui fournissent des paquets Debian.

Ils contiennent un certain nombre de champs ou de commentaires pour les
lignes commençant par un caractère «\ \fB#\fP\ ». Chaque champ commence par une
étiquette, telle que \fBVendor\fP ou \fBParent\fP, suivi du caractère
«\ deux\-points\ » et du contenu du champ. Les champs sont délimités par les
étiquettes de champs. En d'autres termes, le contenu d'un champ peut
s'étendre sur plusieurs lignes, mais les outils d'installation joindront en
général les lignes pendant le traitement du contenu du champ.

Le fichier sera nommé d'après le nom du distributeur. La convention
habituelle est d'appeler le fichier distributeur avec le nom du distributeur
tout en minuscules, mais des différences sont possibles. Notamment, les
espaces sont remplacées par des tirets («\ \fB\-\fP\ ») et le fichier peut avoir
la même casse que la valeur du champ \fBVendor\fP ou il peut être mis en
capitales.
.SH "LES CHAMPS"
.TP 
\fBVendor:\fP\fI distributeur\fP (requis)
La valeur de ce champ donne le nom du distributeur.
.TP 
\fBVendor\-URL:\fP\fI adresse\-URL\-distributeur\fP
La valeur de ce champ donne l'adresse URL du distributeur
.TP 
\fBBugs:\fP\fI url\-du\-bogue\fP
La valeur de ce champ donne le type et l'adresse du système de suivi des
bogues du distributeur. Cela peut être une URL mailto ou debbugs (par
exemple debbugs://bugs.debian.org/).
.TP 
\fBParent:\fP\fI distributeur\fP
La valeur de ce champ donne le nom du distributeur dont le présent éditeur
est dérivé.
.SH EXEMPLE
.nf
Vendor: Debian
Vendor\-URL: https://www.debian.org/
Bugs: debbugs://bugs.debian.org
.fi
.SH "VOIR AUSSI"
\fBdpkg\-vendor\fP(1)
.SH TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002.
Philippe Batailler, 2006.
Nicolas François, 2006.
Veuillez signaler toute erreur à <debian\-l10n\-french@lists.debian.org>.
