.\" dpkg manual page - deb-shlibs(5)
.\"
.\" Copyright © 1996 Michael Shields <shields@crosslink.net>
.\" Copyright © 2008 Zack Weinberg <zackw@panix.com>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH deb\-shlibs 5 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
deb\-shlibs \- Fichier d'information sur les bibliothèques partagées Debian
.
.SH DESCRIPTION
.PP
Les fichiers \fBshlibs\fP associent les noms et versions (\fIsonames\fP) des
bibliothèques partagées aux dépendances correspondantes dans les fichiers de
contrôle des paquets. Il y a une entrée par ligne et les lignes vides ne
sont \fBpas\fP autorisées. Les lignes commençant par le caractère \fB(«\ #\ »)\fP
sont considérées comme étant des commentaires et sont ignorées. Toutes les
autres lignes doivent être au format
.IP
[\fItype\fP\fB:\fP] \fIbibliothèque\fP \fIversion\fP \fIdépendances\fP
.PP
Les champs \fIbibliothèque\fP et \fIversion\fP sont séparés par des espaces. Le
champ \fIdépendances\fP finit la ligne. Le champ \fItype\fP est optionnel et donc
normalement pas nécessaire.
.PP
Le champ \fIdépendances\fP utilise la même syntaxe que le champ \fBDepends\fP d'un
fichier de contrôle d'un paquet binaire, voir \fBdeb\-control\fP(5).
.
.SH EXEMPLES
.PP
Le fichier \fBshlibs\fP pour un paquet nommé \fIlibcrunch1\fP, qui fournit une
bibliothèque dont le nom est \fIlibcrunch.so.1\fP, doit avoir la ligne
.IP
libcrunch 1 libcrunch1 (>= 1.2\-1)
.PP
Les \fIdépendances\fP doivent indiquer la version la plus récente du paquet qui
ajoute de nouveaux symboles à la bibliothèque\ : dans l'exemple précédent, de
nouveaux symboles ont été ajoutés avec la version\ 1.2 de \fIlibcrunch\fP. Ce
n'est pas la seule raison pour laquelle les dépendances doivent être suivies
avec soin.
.
.SH "VOIR AUSSI"
\fBdeb\-control\fP(5), \fBdpkg\-shlibdeps\fP(1), \fBdeb\-symbols\fP(5).
.SH TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002.
Philippe Batailler, 2006.
Nicolas François, 2006.
Veuillez signaler toute erreur à <debian\-l10n\-french@lists.debian.org>.
