.\" dpkg manual page - dpkg-vendor(1)
.\"
.\" Copyright © 2009 Raphaël Hertzog <hertzog@debian.org>
.\"
.\" This is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License as published by
.\" the Free Software Foundation; either version 2 of the License, or
.\" (at your option) any later version.
.\"
.\" This is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\" GNU General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License
.\" along with this program.  If not, see <https://www.gnu.org/licenses/>.
.
.\"*******************************************************************
.\"
.\" This file was generated with po4a. Translate the source file.
.\"
.\"*******************************************************************
.TH dpkg\-vendor 1 %RELEASE_DATE% %VERSION% "suite dpkg"
.nh
.SH NOM
dpkg\-vendor \- Récupère les informations sur les éditeurs de distribution
.
.SH SYNOPSIS
\fBdpkg\-vendor\fP [\fIoption\fP...] \fIcommande\fP
.
.SH DESCRIPTION
\fBdpkg\-vendor\fP est un outil qui permet de récupérer des informations sur les
éditeurs («\ vendors\ ») de distributions référencés dans
\fB%PKGCONFDIR%/origins\fP. \fB%PKGCONFDIR%/origins/default\fP contient
l'information relative à l'éditeur actuellement utilisé.
.
.SH COMMANDES
.TP 
\fB\-\-is\fP\fI éditeur\fP
Retourne \fB0\fP si l'éditeur est \fIéditeur\fP. Retourne \fB1\fP dans le cas
contraire.
.TP 
\fB\-\-derives\-from\fP\fI éditeur\fP
Retourne \fB0\fP si la distribution de l'éditeur actuel est une distribution
dérivée de \fIéditeur\fP, autrement, retourne \fB1\fP. Le champ \fBParent\fP est
utilisé pour parcourir tous les ancêtres de l'éditeur actuel.
.TP 
\fB\-\-query\fP\fI champ\fP
Affiche sur la sortie standard la valeur du champ spécifique \fIchamp\fP de
l'éditeur actuel.
.TP 
\fB\-\-help\fP
Affiche un message d'aide puis quitte.
.TP 
\fB\-\-version\fP
Affiche le numéro de version puis quitte.
.
.SH OPTIONS
.TP 
\fB\-\-vendor\fP\fI éditeur\fP
Suppose que l'éditeur actuel est \fIéditeur\fP au lieu d'utiliser la variable
\fBDEB_VENDOR\fP ou \fB%PKGCONFDIR%/origins/default\fP.
.
.SH ENVIRONNEMENT
.TP 
\fBDEB_VENDOR\fP
Ce réglage définit l'éditeur («\ vendor\ ») actuel. Si cette valeur est vide,
le contenu du fichier \fB%PKGCONFDIR%/origins/default\fP est utilisé.
.TP 
\fBDPKG_COLORS\fP
Définit le mode de couleur (depuis dpkg\ 1.18.5). Les valeurs actuellement
acceptées sont \fBauto\fP (par défaut), \fBalways\fP et \fBnever\fP.
.TP 
\fBDPKG_NLS\fP
Si cette variable est définie, elle sera utilisée pour décider l'activation
de la prise en charge des langues (NLS –\ Native Language Support), connu
aussi comme la gestion de l'internationalisation (ou i18n) (depuis
dpkg\ 1.19.0). Les valeurs permises sont\ : \fB0\fP et \fB1\fP (par défaut).
.
.SH "VOIR AUSSI"
\fBdeb\-origin\fP(5).
.SH TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002.
Philippe Batailler, 2006.
Nicolas François, 2006.
Veuillez signaler toute erreur à <debian\-l10n\-french@lists.debian.org>.
